Subject: Re: [PATCH net-next 4/4] net: dsa: felix: drop oversized frames with tc-taprio instead of hanging the port

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Jun 2022 11:46:44 -0700

On Sun, 26 Jun 2022 15:05:05 +0300 Vladimir Oltean wrote:
> When a frame is dropped due to a queue system oversize condition, the
> counter that increments is the generic "drop_tail" in ethtool -S, even
> if this isn't a tail drop as the rest (i.e. the controlling watermarks
> don't count these frames, as can be seen in "devlink sb occupancy show
> pci/0000:00:00.5 sb 0"). So the hardware counter is unspecific
> regarding the drop reason.

I had mixed feelings about the stats, as I usually do, but I don't
recall if I sent that email. Are you at least counting the drop_tail
into one of the standard tx error / drop stats so admins will notice?